package com.meas.system.service;

import java.util.List;

import com.meas.system.domain.MeasDataResults;

/**
 * 数据结果Service接口
 *
 * @author wgk
 * @date 2024-06-13
 */
public interface IMeasDataResultsService {
    /**
     * 查询数据结果
     *
     * @param id 数据结果主键
     * @return 数据结果
     */
    public MeasDataResults selectMeasDataResultsById(Long id);

    /**
     * 查询数据结果列表
     *
     * @param measDataResults 数据结果
     * @return 数据结果集合
     */
    public List<MeasDataResults> selectMeasDataResultsList(MeasDataResults measDataResults);

    /**
     * 新增数据结果
     *
     * @param measDataResults 数据结果
     * @return 结果
     */
    public MeasDataResults insertMeasDataResults(MeasDataResults measDataResults);

    /**
     * 修改数据结果
     *
     * @param measDataResults 数据结果
     * @return 结果
     */
    public int updateMeasDataResults(MeasDataResults measDataResults);

    /**
     * 批量删除数据结果
     *
     * @param ids 需要删除的数据结果主键集合
     * @return 结果
     */
    public int deleteMeasDataResultsByIds(Long[] ids);

    /**
     * 删除数据结果信息
     *
     * @param id 数据结果主键
     * @return 结果
     */
    public int deleteMeasDataResultsById(Long id);

    MeasDataResults selectMeasDataResultsByEnvDataId(Long envDataId);
}
